import * as vite from 'vite';
import { InlineConfig } from 'vite';
import { Nuxt } from '@nuxt/schema';
import { InlineConfig as InlineConfig$1 } from 'vitest';

interface GetVitestConfigOptions {
    nuxt: Nuxt;
    viteConfig: InlineConfig;
}
declare function getVitestConfigFromNuxt(options?: GetVitestConfigOptions): Promise<InlineConfig & {
    test: InlineConfig$1;
}>;
declare function defineVitestConfig(config?: InlineConfig): vite.UserConfigExport;

export { defineVitestConfig, getVitestConfigFromNuxt };
